// DataFlex Source Code
// Copyright 1987-1992 Data Access Corporation, Miami FL, USA
// All Rights reserved
// 
// JR 2/7/92


#IFDEF ERRORNUM_INCLUDED
#ELSE

   #REPLACE ERRORNUM_INCLUDED |CI1

   #REPLACE DFERR_DISK_FULL                           1
   #REPLACE DFERR_DISK_DIRECTORY_FULL                 2
   #REPLACE DFERR_CANNOT_CLOSE_EXTENT                 3
   #REPLACE DFERR_SEEK_TO_UNWRITTEN_EXTENT            4
   #REPLACE DFERR_DIRECTORY_OVERFLOW                  5
   #REPLACE DFERR_SEEK_PAST_END_OF_DISK               6
   #REPLACE DFERR_TOO_MANY_LOCKS                      7
   #REPLACE DFERR_VLD_READ_ERROR                      8
   #REPLACE DFERR_VLD_WRITE_ERROR                     9
   #REPLACE DFERR_OUT_OF_MEMORY                       10
   #REPLACE DFERR_NUMBER_TOO_LARGE                    11
   #REPLACE DFERR_WINDOW_RANGE                        12
   #REPLACE DFERR_ENTRY_REQUIRED                      13
   #REPLACE DFERR_ENTER_A_NUMBER                      14
   #REPLACE DFERR_BAD_ENTRY                           15
   #REPLACE DFERR_ENTER_VALID_DATE                    16
   #REPLACE DFERR_NUMERIC_RANGE                       17
   #REPLACE DFERR_CANT_OPEN_COM_FILE                  18
   #REPLACE DFERR_MULTIUSER_TIME_OUT                  19
   #REPLACE DFERR_INDEX_READ_ERROR                    20
   #REPLACE DFERR_INDEX_WRITE_ERROR                   21
   #REPLACE DFERR_INDEX_FILE_DAMAGED                  22
   #REPLACE DFERR_INDEX_FILE_FULL                     23
   #REPLACE DFERR_CANT_CHAIN_DURING_LOCK              24
   #REPLACE DFERR_REC_NOT_FOUND                       25
   #REPLACE DFERR_CANT_CLOSE_INDEX_FILE               26
   #REPLACE DFERR_FILE_LOC_RANGE                      27
   #REPLACE DFERR_DUPLICATE_REC                       28
   #REPLACE DFERR_TEXT_FIELD_TOO_LONG                 29
   #REPLACE DFERR_CANT_READ_CFG_FILE                  30
   #REPLACE DFERR_PROGRAM_FILE_NOT_FOUND              31
   #REPLACE DFERR_CANT_OPEN_OUTPUT_FILE               32
   #REPLACE DFERR_CANT_OPEN_INPUT_FILE                33
   #REPLACE DFERR_NOT_A_DATAFLEX_PGM                  34
   #REPLACE DFERR_PGM_MUST_BE_CONVERTED               35
   #REPLACE DFERR_FORMS_MEMORY                        36
   #REPLACE DFERR_VEMM_READ_ERROR                     37
   #REPLACE DFERR_FLX_READ_ERROR                      38
   #REPLACE DFERR_SYSTEM_FLUSH_FILE_ERROR             39
   #REPLACE DFERR_BAD_ACCEL_KEY_DEST                  40
   #REPLACE DFERR_FIND_PRIOR_BEG_OF_FILE              41
   #REPLACE DFERR_FIND_PAST_END_OF_FILE               42
   #REPLACE DFERR_CANT_OPEN_INDEX_FILE                43
   #REPLACE DFERR_BAD_CHANNEL_NUMBER                  44
   #REPLACE DFERR_BAD_DEVICE_OPERATION                45
   #REPLACE DFERR_GRAPHICS_NOT_INITIALIZED            46
   #REPLACE DFERR_BAD_GRAPHICS_DRIVER                 47
   #REPLACE DFERR_NO_GRAPHICS                         48
   #REPLACE DFERR_DEMO_LIMITS_EXCEEDED                49
   #REPLACE DFERR_INTERNAL_EXPRESSION_ERROR           50
   #REPLACE DFERR_BAD_OPERAND                         51
   #REPLACE DFERR_BAD_OPERATOR                        52
   #REPLACE DFERR_UNSUPPORTED_FUNCTION                53
   #REPLACE DFERR_BAD_SYMBOL_EXPRESSION               54
   #REPLACE DFERR_BAD_TYPE_EXPRESSION                 55
   #REPLACE DFERR_RUN_UNCOMPILED_EXPR                 56
   #REPLACE DFERR_MESSAGE_ARG_MISSING                 57
   #REPLACE DFERR_TOO_MANY_PARENTHESIS                58
   #REPLACE DFERR_FPU_EXCEPTION                       59
   #REPLACE DFERR_BAD_OR_MISSING_DEF                  60
   #REPLACE DFERR_REDEF_OF_EXISTING_FILE              61
   #REPLACE DFERR_TAG_FILE_ERROR                      62
   #REPLACE DFERR_DELETE_A_PROT_REC                   63
   #REPLACE DFERR_FIND_A_PROT_REC                     64
   #REPLACE DFERR_CREATE_IN_A_PROT_FILE               65
   #REPLACE DFERR_EDIT_A_PROT_REC                     66
   #REPLACE DFERR_ARRAY_TOO_LARGE                     67
   #REPLACE DFERR_CANT_CREATE_ITEM                    68
   #REPLACE DFERR_UNRESOLVED_OBJ_REF                  69
   #REPLACE DFERR_NOT_A_CURRENT_DATA_FILE             70
   #REPLACE DFERR_NO_REC_TO_DELETE                    71
   #REPLACE DFERR_FILE_NOT_OPEN                       72
   #REPLACE DFERR_UI_FILE_NOT_FOUND                   73
   #REPLACE DFERR_CANT_OPEN_FILE_LIST                 74
   #REPLACE DFERR_CANT_OPEN_DATA_FILE                 75
   #REPLACE DFERR_HUFFMAN                             76
   #REPLACE DFERR_FIELD_NUMBER_RANGE                  77
   #REPLACE DFERR_CANT_UPDATE_REC_ZERO                78
   #REPLACE DFERR_FIELD_NOT_INDEXED                   79
   #REPLACE DFERR_CANT_CLOSE_DATA_FILE                80
   #REPLACE DFERR_REC_NUMBER_RANGE                    81
   #REPLACE DFERR_EDITED_REC_NOT_SAVED                82
   #REPLACE DFERR_TYPE_CHECK_ERROR                    83
   #REPLACE DFERR_FIELD_OUT_SIDE_REC                  84
   #REPLACE DFERR_CANT_OPEN_VLD_FILE                  85
   #REPLACE DFERR_RELATED_FIELD_LEN                   86
   #REPLACE DFERR_NO_SUPERFIND_PATH                   87
   #REPLACE DFERR_BAD_FILE_NAME                       88
   #REPLACE DFERR_INFINITE_RECURSION                  89
   #REPLACE DFERR_ENTER_VALID_REC_ID                  90
   #REPLACE DFERR_PUT_INTO_CONSTANT                   91
   #REPLACE DFERR_PRG_NOT_FOUND                       92
   #REPLACE DFERR_RETURN_ARG_MISSING                  93
   #REPLACE DFERR_BAD_LINE_NUMBER                     94
   #REPLACE DFERR_BAD_ARG_IN_ENTRY_CMD                95
   #REPLACE DFERR_CANT_OPEN_PROGRAM_FILE              96
   #REPLACE DFERR_TOO_MANY_GOSUBS                     97
   #REPLACE DFERR_BAD_MESSAGE                         98
   #REPLACE DFERR_WRONG_REVISION                      99
   #REPLACE DFERR_OPERATOR_ERROR                      100
   
   #REPLACE DFERR_BAD_ATTRIBUTE_VALUE                 4097
   #REPLACE DFERR_BAD_RELATIONSHIP                    4098
   #REPLACE DFERR_BAD_PARAMETER                       4099
   #REPLACE DFERR_CANT_FIND_FIELD                     4100
   #REPLACE DFERR_STRING_TOO_LONG                     4101
   #REPLACE DFERR_TOO_MANY_FILE_STRUCTURES            4102
   #REPLACE DFERR_BAD_DRIVER_NAME                     4103
   #REPLACE DFERR_ALREADY_STARTED                     4104
   #REPLACE DFERR_BAD_FILE_NUMBER                     4105
   #REPLACE DFERR_LOCK_TIMEOUT                        4106
   #REPLACE DFERR_TOO_MANY_INDEXES                    4107
   #REPLACE DFERR_RECORD_TOO_LONG                     4108
   #REPLACE DFERR_DDR_NOT_SAVED                       4109
   #REPLACE DFERR_STRUCTURE_NOT_STARTED               4110
   #REPLACE DFERR_CANT_OPEN_AS_EXCLUSIVE              4111
   #REPLACE DFERR_WORK_FILE_NUMBER_IN_USE             4112
   #REPLACE DFERR_ATTRIBUTE_VALUE_WARNING             4113
   #REPLACE DFERR_CANT_CREATE_VLDFILE                 4114
   #REPLACE DFERR_CANT_CREATE_DATAFILE                4115
   #REPLACE DFERR_READ_ERROR                          4116
   #REPLACE DFERR_WRITE_ERROR                         4117
   #REPLACE DFERR_CANT_DELETE_FILE                    4118
   #REPLACE DFERR_FILE_NOT_FOUND                      4119
   #REPLACE DFERR_CANT_RENAME_FILE                    4120
   #REPLACE DFERR_OPERATION_ABORTED                   4121
   #REPLACE DFERR_BAD_FIELD_TYPE_IN_INDEX             4122
   #REPLACE DFERR_BLOCK0_CRC_BAD                      4123
   #REPLACE DFERR_HEADER_CRC_BAD                      4124
   #REPLACE DFERR_ARG_SIZE_LARGE                      4125
   #REPLACE DFERR_ARG_SIZE_SMALL                      4126
   #REPLACE DFERR_ERROR_WRITING_TO_DEVICE             4127
   #REPLACE DFERR_MAXRECS_LESS_THAN_COUNT             4128
   #REPLACE DFERR_INVALID_RECORD_COUNT                4129
   #REPLACE DFERR_ERROR_NUMBER_OUT_OF_RANGE           4130
   #REPLACE DFERR_CMD_SUBSYS_NOT_COMPATIBLE           4131
   #REPLACE DFERR_UI_SUBSYS_NOT_COMPATIBLE            4132
   #REPLACE DFERR_DATASET_NOT_COMPAT                  4133
   #REPLACE DFERR_DATA_FILE_NOT_COMPATIBLE            4134
   #REPLACE DFERR_BCD_OVERFLOW                        4135
   #REPLACE DFERR_REAL_OVERFLOW                       4136
   #REPLACE DFERR_PACK_FILE_NOT_FOUND                 4137
   #REPLACE DFERR_TOO_MANY_OBJECTS                    4138
   #REPLACE DFERR_CANT_START_TRAN_WHILE_LOCKED        4139
   #REPLACE DFERR_CANT_END_TRAN_WHILE_LOCKED          4140
   #REPLACE DFERR_CANT_UNLOCK_WHILE_IN_TRAN           4141
   #REPLACE DFERR_CANT_RECOVER_TRANSACTION            4142
   #REPLACE DFERR_TRANSACTION_PENDING                 4143
   #REPLACE DFERR_CANT_START_TRAN_STRUCT_PENDING      4144
   #REPLACE DFERR_FATAL_INTERNAL_ERROR                4145
   #REPLACE DFERR_NO_SEQIO_ON_RECNUM                  4146
   #REPLACE DFERR_CANT_CREATE_HDR                     4147
   #REPLACE DFERR_CANT_WRITE_HDR                      4148
   #REPLACE DFERR_HDR_INVALID                         4149
   #REPLACE DFERR_ITEM_OUT_OF_RANGE                   4150
   #REPLACE DFERR_INVALID_PAGE_NUMBER                 4151
   #REPLACE DFERR_VS_LOCKS_EXCEEDED                   4152
   #REPLACE DFERR_INVALID_VS_UNLOCK                   4153
   #REPLACE DFERR_BAD_DATASET_CONSTRAINT_DEF          4154
   #REPLACE DFERR_EDIT_WITHOUT_REREAD                 4155
   #REPLACE DFERR_INVALID_SYSTEM_INTEGER              4156
   #REPLACE DFERR_NO_SHELL                            4157
   #REPLACE DFERR_CANT_FORK                           4158
   #REPLACE DFERR_ERROR_EXECUTING_PROCESS             4159
   #REPLACE DFERR_CANT_RUN_SPOOLER                    4160
   #REPLACE DFERR_INVALIDFILESYSTEM                   4161
   #REPLACE DFERR_BAD_SYSCONF_CMD                     4162
   #REPLACE DFERR_SPOOLER_CMD_STR_TOO_LONG            4163
   #REPLACE DFERR_INVALID_SYSTEM_INDICATOR            4164
   #REPLACE DFERR_SPOOLER_PIPE_BROKEN                 4165
   #REPLACE DFERR_RUN_PIPE_BROKEN                     4166
   #REPLACE DFERR_CANT_OPEN_PIPE                      4167
   #REPLACE DFERR_INVALID_OBJECT_IN_RUN_PIPE          4168
   #REPLACE DFERR_OPERATION_NOT_SUPPORTED_BY_OS       4169
   #REPLACE DFERR_COMPRESS_TABLE_CORRUPT              4170
   #REPLACE DFERR_BAD_COLLATE_COMMAND                 4171
   #REPLACE DFERR_DUPLICATE_COLLATE_SEQUENCE          4172
   #REPLACE DFERR_CANT_OPEN_COLLATE_FILE              4173
   #REPLACE DFERR_COLLATE_TABLE_INCOMPLETE            4174
   #REPLACE DFERR_NO_PRINTER_TYPE_SET                 4175
   #REPLACE DFERR_INVALID_DATAFILE_SIZE               4176
   #REPLACE DFERR_CANT_OPEN_EXCLUSIVE                 4177
   #REPLACE DFERR_NO_LOCKS_AVAILABLE                  4178

   #REPLACE DFERR_BAD_DDHANDLE                        8193
   #REPLACE DFERR_BAD_FILEHANDLE                      8194
   #REPLACE DFERR_BAD_FIELDHANDLE                     8195
   #REPLACE DFERR_BAD_FLEX_FILENUMBER                 8196
   #REPLACE DFERR_DATA_DICTIONARY_IS_FULL             8197
   #REPLACE DFERR_RELATED_FILE_NOT_OPEN               8198
   #REPLACE DFERR_FILES_LOT_ALREADY_IN_USE            8199
   #REPLACE DFERR_ALL_DD_ENTRIES_USED                 8200
   #REPLACE DFERR_DD_NOT_INITIALIZED                  8201
   #REPLACE DFERR_NOT_USED_1                          8202
   #REPLACE DFERR_INVALID_RECORD_LENGTH               8203
   #REPLACE DFERR_DUPLICATE_FIELDNAME                 8204
   #REPLACE DFERR_BLANK_FIELDNAME                     8205
   #REPLACE DFERR_FIRST_CHAR_NOT_ALPHA                8206
   #REPLACE DFERR_INVALID_FIELD_LENGTH                8207
   #REPLACE DFERR_INVALID_WHOLE_DIGITS                8208
   #REPLACE DFERR_INVALID_DECIMALS                    8209
   #REPLACE DFERR_NUMERIC_FIELD_ZERO_LENGTH           8210
   #REPLACE DFERR_TOO_MANY_FIELDS                     8211
   #REPLACE DFERR_RELATIONSHIP_DOES_NOT_EXIST         8212
   #REPLACE DFERR_FIELD_ALREADY_RELATED               8213
   #REPLACE DFERR_NO_RELATABLE_FIELDS                 8214
   #REPLACE DFERR_INVALID_INDEXNUMBER                 8215
   #REPLACE DFERR_BAD_FILENUMBER                      8216
   #REPLACE DFERR_BAD_FIELDNUMBER                     8217
   #REPLACE DFERR_INVALID_FIELDTYPE                   8218
   #REPLACE DFERR_FIELDNAME_ADJUSTED                  8219
   #REPLACE DFERR_INVALID_DATE_LENGTH                 8220
   #REPLACE DFERR_INVALID_OVERLAP                     8221
   #REPLACE DFERR_RECORD_LENGTH_CHANGED               8222
   #REPLACE DFERR_CANT_WRITE_TAGFILE                  8223
   #REPLACE DFERR_CANT_DELETE_INDEXFILE               8224
   #REPLACE DFERR_CANT_CREATE_INDEXFILE               8225
   #REPLACE DFERR_NO_MAIN_INDEX_EDIT_POSSIBLE         8226
   #REPLACE DFERR_INVALID_DEF_FILENAME                8227
   #REPLACE DFERR_CANT_WRITE_FDFILE                   8228
   #REPLACE DFERR_CANT_WRITE_INDEXNAMEFILE            8229
   #REPLACE DFERR_CANT_DELETE_DATAFILE                8230
   #REPLACE DFERR_SYNTAX                              8231
   #REPLACE DFERR_OPTIONAL_READY_SPECIFIED            8232
   #REPLACE DFERR_BAD_COMMANDLINE_PARAM               8233
   #REPLACE DFERR_INDEX_FIELDCOUNT_EXCEEDED           8234
   #REPLACE DFERR_SORT_STACK_OVERFLOW                 8235
   #REPLACE DFERR_SORT_BUFFER_IN_USE                  8236
   #REPLACE DFERR_DUPLICATE_RECORDS_IN_SORTFILE       8237
   #REPLACE DFERR_BLOCK_ZERO_IS_FULL                  8238
   #REPLACE DFERR_DFRUN_NOT_FOUND                     8239
   #REPLACE DFERR_MISSING_END_IN_CMDFILE              8240
   #REPLACE DFERR_INDEX_ALREADY_SELECTED              8241
   #REPLACE DFERR_BAD_OPTION_COMBINATION              8242
   #REPLACE DFERR_NO_FILES_PECIFIED                   8243
   #REPLACE DFERR_BAD_DATA_IN_FILE                    8244
   #REPLACE DFERR_ERROR_WRITING_BADFILE               8245
   #REPLACE DFERR_SORT_READ_ERROR                     8246
   #REPLACE DFERR_SORT_WRITE_ERROR                    8247
   #REPLACE DFERR_LOGFILE_ERROR                       8248
   #REPLACE DFERR_CANT_OPEN_DEFFILE                   8249
   #REPLACE DFERR_NOT_A_VALID_DEF                     8250
   #REPLACE DFERR_ALL_ALREADY_SPECIFIED               8251
   #REPLACE DFERR_FILENUMBER_MUST_BE_FIRST            8252
   #REPLACE DFERR_SORT_OPTIONS_CONFILICT              8253
   #REPLACE DFERR_CANT_CLOSE_VLDFILE                  8254
   #REPLACE DFERR_CONFLICTING_INDEXES                 8255
   #REPLACE DFERR_INDEX_SPECIFIED_TWICE               8256
   #REPLACE DFERR_NO_INDEXES_SPECIFIED                8257
   #REPLACE DFERR_NO_FIELDS_SPECIFIED                 8258
   #REPLACE DFERR_INVALID_STATUS_OPTION               8259
   #REPLACE DFERR_DUPLICATE_RECORD_OPTION_TWICE       8260
   #REPLACE DFERR_INVALID_DUP_RECORD_OPTION           8261
   #REPLACE DFERR_BAD_RECORD_OPTION_TWICE             8262
   #REPLACE DFERR_SPECIFY_FILE_FIRST                  8263
   #REPLACE DFERR_BAD_INDEXNUMBER                     8264
   #REPLACE DFERR_INVALID_BAD_DATA_OPTION             8265
   #REPLACE DFERR_NO_INDEX_SPECIFIED                  8266
   #REPLACE DFERR_FILE_ALREADY_SPECIFIED              8267
   #REPLACE DFERR_INVALID_INDEXMODE                   8268
   #REPLACE DFERR_INVALID_USE_OF_OPTION               8269
   #REPLACE DFERR_CANT_DELETE_VLDFILE                 8270
   #REPLACE DFERR_TOO_MANY_ITEMGROUPS                 8271
   #REPLACE DFERR_CANT_OPEN_SEQ_IMGTEXT               8272
   #REPLACE DFERR_CANT_UPDATE_FILELIST                8273
   #REPLACE DFERR_NOT_CUSTOM_COMPRESSED               8274
   #REPLACE DFERR_FILE_IN_USE                         8275
   #REPLACE DFERR_ERRORWRITINGBADFILE                 8276
   #REPLACE DFERR_NOINDEXTODELETE                     8277
   #REPLACE DFERR_NOINDEXTOCREATE                     8278
   #REPLACE DFERR_NOFILESPECIFIED                     8279
   #REPLACE DFERR_BADORDUPEDATA                       8280
   #REPLACE DFERR_KEYLENGTHTOOBIG                     8281
   #REPLACE DFERR_BIGFIELDSNOTALLOWED                 8282
   #REPLACE DFERR_CANTDELETEHDRFILE                   8283
   #REPLACE DFERR_ERROR_READING_FILE                  8284
                                                       
#ENDIF

